--
-- Estrutura da tabela `cadastro`
--

CREATE TABLE `cadastro` (
  `email` varchar(255) COLLATE latin1_general_ci NOT NULL,
  `chave` char(32) COLLATE latin1_general_ci NOT NULL,
  `cancelado` enum('0','1') COLLATE latin1_general_ci NOT NULL,
  UNIQUE KEY `email` (`email`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci COMMENT='Emails Mala Direta';

-- --------------------------------------------------------

--
-- Estrutura da tabela `maladireta`
--

CREATE TABLE `maladireta` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `assunto` varchar(255) COLLATE latin1_general_ci NOT NULL DEFAULT '',
  `pagina` varchar(255) COLLATE latin1_general_ci NOT NULL DEFAULT '',
  `imagem` varchar(255) COLLATE latin1_general_ci DEFAULT NULL,
  `imagem_tipo` enum('jpg','png','gif') COLLATE latin1_general_ci DEFAULT NULL,
  `ativo` enum('0','1') COLLATE latin1_general_ci NOT NULL DEFAULT '0',
  `modificado` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci COMMENT='Lista de Mala Direta';

-- --------------------------------------------------------

--
-- Estrutura da tabela `maladireta_log`
--

CREATE TABLE `maladireta_log` (
  `chave` char(32) NOT NULL,
  `id` smallint(5) NOT NULL,
  `enviado` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Log de Envios';

-- --------------------------------------------------------

--
-- Estrutura da tabela `maladireta_optout`
--

CREATE TABLE `maladireta_optout` (
  `chave` char(32) NOT NULL,
  `id` smallint(5) NOT NULL,
  `motivo` smallint(2) NOT NULL,
  `obs` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Descadastramentos';
